gnutls_x509_crt_list_import_pkcs11(3)

NAME
gnutls_x509_crt_list_import_pkcs11 - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_x509_crt_list_import_pkcs11(gnutls_x509_crt_t * certs, unsigned int cert_max, gnutls_pkcs11_obj_t * const objs, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t * certs
    A list of certificates of type gnutls_x509_crt_t

unsigned int cert_max
    The maximum size of the list

gnutls_pkcs11_obj_t * const objs
    A list of PKCS 11 objects

unsigned int flags
    0 for now

DESCRIPTION
This function will import a PKCS 11 certificate list to a list of gnutls_x509_crt_t structure. These must not be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/